CVE-2002-1357

Multiple SSH2 servers and clients do not properly handle packets or data elements with incorrect length specifiers, which may allow remote attackers to cause a denial of service or possibly execute arbitrary code, as demonstrated by the SSHredder SSH protocol test suite.
Configurations

Configuration 1 (hide)

AND
OR cpe:2.3:o:cisco:ios:12.0s:*:*:*:*:*:*:*
cpe:2.3:o:cisco:ios:12.0st:*:*:*:*:*:*:*
cpe:2.3:o:cisco:ios:12.1e:*:*:*:*:*:*:*
cpe:2.3:o:cisco:ios:12.1ea:*:*:*:*:*:*:*
cpe:2.3:o:cisco:ios:12.1t:*:*:*:*:*:*:*
cpe:2.3:o:cisco:ios:12.2:*:*:*:*:*:*:*
cpe:2.3:o:cisco:ios:12.2s:*:*:*:*:*:*:*
cpe:2.3:o:cisco:ios:12.2t:*:*:*:*:*:*:*
OR cpe:2.3:a:fissh:ssh_client:1.0a_for_windows:*:*:*:*:*:*:*
cpe:2.3:a:intersoft:securenetterm:5.4.1:*:*:*:*:*:*:*
cpe:2.3:a:netcomposite:shellguard_ssh:3.4.6:*:*:*:*:*:*:*
cpe:2.3:a:pragma_systems:secureshell:2.0:*:*:*:*:*:*:*
cpe:2.3:a:putty:putty:0.48:*:*:*:*:*:*:*
cpe:2.3:a:putty:putty:0.49:*:*:*:*:*:*:*
cpe:2.3:a:putty:putty:0.53:*:*:*:*:*:*:*
cpe:2.3:a:winscp:winscp:2.0.0:*:*:*:*:*:*:*

Information

Published : 2002-12-23 05:00

Updated : 2017-10-11 01:29


NVD link : CVE-2002-1357

Mitre link : CVE-2002-1357


JSON object : View

Products Affected

cisco

  • ios

netcomposite

  • shellguard_ssh

putty

  • putty

intersoft

  • securenetterm

winscp

  • winscp

pragma_systems

  • secureshell

fissh

  • ssh_client
CWE
CWE-119

Improper Restriction of Operations within the Bounds of a Memory Buffer